%global git_hash b3ba2ef

Name:          polari
Summary:       An IRC Client for GNOME
Version:       0.0.1
Release:       0.7.git.%{git_hash}%{?dist}

URL:     http://wiki.gnome.org/Apps/Polari
# TODO: Make sure I have the right license. I'm basing it on the following:
#     - All src/lib/* files are LGPLv2+
#     - All src/*.js files are missing a copyright header
#     - COPYING file is GPLv2
#     - GNOME apps are usually GPLv2+ anyway
License:       GPLv2+ and LGPLv2+

# There aren't any release yet, so I'm creating the tarball as follows:
#     $ git clone git://git.gnome.org/polari
#     $ cd polari
#     $ ./autogen.sh && make distcheck
Source0:       %{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gjs
BuildRequires: intltool
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires: pkgconfig(gtk+-3.0) >= 3.9.12
BuildRequires: pkgconfig(telepathy-glib)

# Explicit requirements for the GObject Introspection bindings
Requires:      gdk-pixbuf2
Requires:      gobject-introspection
Requires:      gtk3
Requires:      libsoup
Requires:      pango
Requires:      telepathy-glib

%description
Polari is a simple IRC Client that is designed to integrate seamlessly with
GNOME 3.


%package devel
Summary:       Development files for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the files required to develop software using the %{name}
libraries.


%prep
%setup -q


%build
%configure --disable-silent-rules
make %{_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL="/usr/bin/install -p"

find %{buildroot} -name '*.la' -exec rm -f '{}' \;

%find_lang %{name}


%check
make check


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Polari.desktop
%{_datadir}/dbus-1/services/org.gnome.Polari.service
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}
%{_libdir}/%{name}

%exclude %{_datadir}/%{name}/gir-1.0
%exclude %{_libdir}/%{name}/lib%{name}-1.0.so


%files devel
%{_datadir}/%{name}/gir-1.0
%{_libdir}/%{name}/lib%{name}-1.0.so


%changelog
* Fri Oct 25 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.0.1-0.7.git.b3ba2ef
- Initial package for Fedora.
